Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 663938 - Libspatialite doesn't build on ppc64
Summary: Libspatialite doesn't build on ppc64
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: libspatialite
Version: el6
Hardware: ppc64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64
TreeView+ depends on / blocked
 
Reported: 2010-12-17 13:01 UTC by Volker Fröhlich
Modified: 2014-04-26 16:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-26 16:42:06 UTC


Attachments (Terms of Use)

Description Volker Fröhlich 2010-12-17 13:01:28 UTC
Doesn't build on ppc64.

 gcc -DPACKAGE_NAME=\"libspatialite\" -DPACKAGE_TARNAME=\"libspatialite\" -DPACKAGE_VERSION=\"2.4.0\" "-DPACKAGE_STRING=\"libspatialite 2.4.0\"" -DPACKAGE_BUGREPORT=\"a.furieri@lqt.it\" -DPACKAGE=\"libspatialite\" -DVERSION=\"2.4.0\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STDIO_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_MATH_H=1 -DHAVE_FLOAT_H=1 -DHAVE_FCNTL_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDDEF_H=1 -DHAVE_STDINT_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SQLITE3_H=1 -DHAVE_SQLITE3EXT_H=1 -DHAVE_DLFCN_H=1 -DTIME_WITH_SYS_TIME=1 -DLSTAT_FOLLOWS_SLASHED_SYMLINK=1 -DLSTAT_FOLLOWS_SLASHED_SYMLINK=1 -DHAVE_STRFTIME=1 -DHAVE_MEMSET=1 -DHAVE_STRCASECMP=1 -DHAVE_STRERROR=1 -DHAVE_STRNCASECMP=1 -DHAVE_STRSTR=1 -DHAVE_FDATASYNC=1 -DHAVE_FTRUNCATE=1 -DHAVE_GETCWD=1 -DHAVE_GETTIMEOFDAY=1 -DHAVE_LOCALTIME_R=1 -DHAVE_MEMMOVE=1 -DHAVE_STRERROR=1 -DHAVE_LIBSQLITE3=1 -DHAVE_PROJ_API_H=1 -DHAVE_GEOS_C_H=1 -DHAVE_ICONV_H=1 -I. -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mminimal-toc -I../../src/headers -D_LARGE_FILE=1 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE=1 -DNDEBUG=1 -DOMIT_GEOCALLBACKS -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mminimal-toc -MT srs_init.lo -MD -MP -MF .deps/srs_init.Tpo -c srs_init.c  -fPIC -DPIC -o .libs/srs_init.o
{standard input}: Assembler messages:
{standard input}:128092: Error: operand out of range (0x0000000000008000 is not between 0xffffffffffff8000 and 0x0000000000007ffc)
{standard input}:128111: Error: operand out of range (0x0000000000008008 is not between 0xffffffffffff8000 and 0x0000000000007ffc)
{standard input}:128123: Error: operand out of range (0x0000000000008010 is not between 0xffffffffffff8000 and 0x0000000000007ffc)
{standard input}:128170: Error: operand out of range (0x0000000000008018 is not between 0xffffffffffff8000 and 0x0000000000007ffc)

... and so on, and so on.

Informed upstream here: http://groups.google.com/group/spatialite-users/browse_thread/thread/691e7c9460d8cb81

Comment 1 Volker Fröhlich 2012-07-29 21:17:58 UTC
3.1.0-RC3 builds fine. It will not go into EPEL 6 though, due to the stable policy.

Comment 2 Volker Fröhlich 2014-04-26 16:42:06 UTC
Added ExcludeArch: ppc64 in 2010, closing.


Note You need to log in before you can comment on or make changes to this bug.